<ul>
    <li id="section_meta" class="section_meta"><a href="meta/edit/section/0">Meta</a></li>
    <li id="section_add_open" class="section_add"><a href="javascript:">Add folder</a></li>
</ul>

<script type="text/javascript">
    $(document).ready(function() {
        $('#section_add_open a').click(function() {
            $('#section_add_form').toggle();
        });
    });
</script>